<?php
if (defined('GULF_MASTER') && GULF_MASTER==true) { 
	return; // No need to do any of this for the master website
}

add_action("after_switch_theme", "gulf_activate_theme");
function gulf_activate_theme() {
	// Backup database
	gulf_backup_database(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME);

	// General
	$tagline = get_option('blogdescription');
	if ($tagline == 'Just another WordPress site') {
		update_option( "blogdescription", '' ); 
	}
	

	// Discussion
	update_option( "default_pingback_flag", FALSE ); 
	update_option( "default_ping_status", FALSE ); 
	update_option( "default_comment_status", FALSE ); 
	update_option( "require_name_email", TRUE ); 
	update_option( "comment_registration", TRUE ); 
	update_option( "comment_moderation", TRUE ); 
	
	// Permalinks
	global $wp_rewrite;
    $wp_rewrite->set_permalink_structure('/%postname%/');
	update_option( "rewrite_rules", FALSE ); 
    $wp_rewrite->flush_rules();
	
	// Trigger menu building once content has loaded
	update_option( "gulf_post_activation", TRUE ); 
}


add_action("upgrader_pre_install","gulf_backup_database_before_install");
function gulf_backup_database_before_install() {
	gulf_backup_database(DB_HOST,DB_USER,DB_PASSWORD,DB_NAME);
}


function gulf_backup_database($host,$user,$pass,$name,$tables = '*') {
	global $table_prefix,$wpdb;

	//get all of the tables
	if($tables == '*') {
		$tables = array();
		$result = $wpdb->get_results('SHOW TABLES LIKE "'.$table_prefix.'%"');
		foreach($result as $row) {
			$tables[] = reset($row);
		}
	} else {
		$tables = is_array($tables) ? $tables : explode(',',$tables);
	}

	$return = '';

	//cycle through
	foreach($tables as $table) {
		$result = $wpdb->get_results('SELECT * FROM '.$table);
		
		$return.= 'DROP TABLE '.$table.';';
		$row2 = (array) $wpdb->get_row('SHOW CREATE TABLE '.$table);
		$return.= "\n\n".$row2['Create Table'].";\n\n";
		
		if (!empty($result)) {
			$tablereturn = '';
			foreach($result as $row) {
				$tablereturn.= 'INSERT INTO '.$table.' VALUES("';
				$row = (array) $row;
				foreach ($row as $v => $val) {
					$val = addslashes($val);
					$row[$v] = preg_replace("/\n/","\\n",$val);
				}
				$tablereturn .= implode('","',$row);
				$tablereturn.= '");\n';
			}
			$return .= $tablereturn;
		}
		$return.="\n\n\n";
	}

	$handle = fopen(trailingslashit(ABSPATH).'db-backup-'.(date('Y-m-d-H-i-s')).'.sql','w+');
	fwrite($handle,$return);
	fclose($handle);

}





$postactivation = get_option('gulf_post_activation');
if ($postactivation) {
	// Set up default pages
	$home = get_page_by_path('home');
	$showonfront = get_option("show_on_front");
	if (isset($home) && empty($showonfront)) {
		update_option( "show_on_front", 'page' ); 
		update_option( "page_on_front", $home->ID ); 
	}
	
	// Create menus etc.
	$main_menu = wp_get_nav_menu_object('main-menu');
	if ($main_menu === false) {
		$main_menu = wp_create_nav_menu('Main Menu');
	} else {
		$main_menu = $main_menu->term_id;
	}
	
	$sub_menu = wp_get_nav_menu_object('sub-menu');
	if ($sub_menu === false) {
		$sub_menu = wp_create_nav_menu('Sub Menu');
	} else {
		$sub_menu = $sub_menu->term_id;
	}
	
	$legal_menu = wp_get_nav_menu_object('legal-menu');
	if ($legal_menu === false) {
		$legal_menu = wp_create_nav_menu('Legal Menu');
	} else {
		$legal_menu = $legal_menu->term_id;
	}	
	
    $locations = get_theme_mod('nav_menu_locations'); 
    $locations['main-nav'] = $main_menu;
    $locations['sub-nav'] = $sub_menu;
    $locations['footer-links'] = $legal_menu;
    set_theme_mod('nav_menu_locations', $locations); 
	
	
	update_option('gulf_post_activation',false);
	
}
