/*
These functions make sure WordPress
and Foundation play nice together.
*/

jQuery(document).ready(function() {

    // Remove empty P tags created by WP inside of Accordion and Orbit
    jQuery('.accordion p:empty, .orbit p:empty').remove();

	 // Makes sure last grid item floats left
	jQuery('.archive-grid .columns').last().addClass( 'end' );

	// Adds Flex Video to YouTube and Vimeo Embeds
	jQuery('iframe[src*="youtube.com"], iframe[src*="vimeo.com"]').each(function() {
	  if ( jQuery(this).innerWidth() / jQuery(this).innerHeight() > 1.5 ) {
		jQuery(this).wrap("<div class='widescreen flex-video'/>");
	  } else {
		jQuery(this).wrap("<div class='flex-video'/>");
	  }
	});
	
	
	// Slick
	jQuery('#heroes').slick({
		autoplay: true,
		autoplaySpeed: 5000
	});
	
	
	// Menu theme
	if (jQuery('body').hasClass('hero-behind')) {
		jQuery('.main-menu').addClass(jQuery('.hero.slick-current').hasClass('dark')? 'dark' : 'light');
		jQuery('#heroes').on('beforeChange',function(event, slick, currentSlide, nextSlide) {
			jQuery('.main-menu').removeClass('dark');
			jQuery('.main-menu').addClass(jQuery(slick.$slides.get(nextSlide)).hasClass('dark')? 'dark' : '');
		});		
	}
	
	
	// Galleries
	addGalleries();

	
	// Lightboxes
	addLightboxes();

	
	// Ribbon
	jQuery('#content').parallax({imageSrc: Ajax.template_url+'/img/ribbon-'+Ajax.style+'.svg',speed:0.5,naturalWidth:1200,naturalHeight:1050,position:'center'});
	

	// Tweets
	jQuery('#tweets').slick({
		autoplay: true,
		autoplaySpeed: 5000,
		arrows: false,
		dots: true,
	});
	
	
});

jQuery(window).load(function() {
	setTimeout(repositionParallax,500);
});

function repositionParallax() {
	jQuery(window).trigger('resize');
	jQuery(window).trigger('scroll');
};

function addGalleries() {
	jQuery('.gulf-gallery dt a').addClass('lightbox');
}


function addLightboxes() {
	jQuery('.lightbox').each(function() {
		jQuery(this).fancybox({
			iframe: {
				scrolling: 'yes'
			}
		});
	});
}




var mapStyles = [
  {
    "featureType": "water",
    "stylers": [
      { "color": "#BAD8EB" }
    ]
  },{
    "featureType": "road",
    "elementType": "geometry.fill",
    "stylers": [
      { "color": "#FF6319" }
    ]
  },{
    "featureType": "landscape.man_made",
    "elementType": "geometry",
    "stylers": [
      { "color": "#D1D4D3" }
    ]
  },{
    "featureType": "landscape.natural",
    "elementType": "geometry",
    "stylers": [
      { "color": "#FFFFFF" }
    ]
  },{
    "featureType": "poi",
    "stylers": [
      { "visibility": "off" }
    ]
  },{
    "featureType": "administrative",
    "elementType": "labels.text.fill",
    "stylers": [
      { "color": "#002776" }
    ]
  },{
    "featureType": "road",
    "elementType": "geometry.stroke",
    "stylers": [
      { "visibility": "off" }
    ]
  }
];

var clusterStyles = [
	{
		url: Ajax.template_url+'/img/map-cluster-1.png',
		height: 60,
		width: 60,
		anchor: [20, 0],
		textColor: '#FFF',
		textSize: 12
	  }, {
		url: Ajax.template_url+'/img/map-cluster-2.png',
		height: 80,
		width: 80,
		anchor: [30, 0],
		textColor: '#FFF',
		textSize: 14
	  }, {
		url: Ajax.template_url+'/img/map-cluster-3.png',
		width: 100,
		height: 100,
		anchor: [40, 0],
		textColor: '#FFF',
		textSize: 16
	  }
];

